import {Injectable} from '@angular/core';
import {Http, Headers, Response} from '@angular/http';

import {ConstructApi} from '../construct';

@Injectable()
export class AppSettingsApi {
  private _basePath = '/v4/appsettings';

  constructor(private construct: ConstructApi) { }

  get(urlParams?, headers?) {
    return this.construct.get(this._basePath, urlParams, headers);
  }
}
