import { Http } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
export declare class ConstructApi {
    private http;
    private apiHost;
    private appId;
    private agency;
    private environment;
    private authToken;
    private _baseParams;
    private _getParams;
    constructor(http: Http);
    private headers(customHeaders);
    private url(path, userParams?, baseParams?);
    setup(config: any): void;
    setAuthToken(authToken: string): void;
    setAgency(agency: string): void;
    setEnvironment(environment: string): void;
    get(path: string, urlParameters?: any, customHeaders?: any, maxItems?: number): any;
    batch(path: any, urlParams?: any, customHeaders?: any): Observable<any>;
    download(path: any, urlParameters?: any, customHeaders?: any): Observable<any>;
    post(path: string, body: any, urlParameters?: any, customHeaders?: any): Observable<any>;
    search(path: string, body: any, urlParameters?: any, customHeaders?: any, maxItems?: number): any;
    update(path: string, body: any, urlParameters?: any, customHeaders?: any): Observable<any>;
    del(path: string, urlParameters?: any, customHeaders?: any): Observable<any>;
}
