"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var construct_1 = require('../construct');
var InspectionTimeAccountingApi = (function () {
    function InspectionTimeAccountingApi(construct) {
        this.construct = construct;
        this._basePath = '/v4/inspections';
    }
    InspectionTimeAccountingApi.prototype.path = function (inspectionId) {
        return this._basePath + "/" + inspectionId + "/timeAccounting";
    };
    InspectionTimeAccountingApi.prototype.get = function (inspectionId, urlParams, headers) {
        return this.construct.get(this.path(inspectionId), urlParams, headers);
    };
    InspectionTimeAccountingApi.prototype.updateEntry = function (inspectionId, entryId, body, urlParams, headers) {
        return this.construct.update(this.path(inspectionId) + "/" + entryId, body, urlParams, headers);
    };
    InspectionTimeAccountingApi.prototype.deleteEntry = function (inspectionId, entryId, urlParams, headers) {
        return this.construct.del(this.path(inspectionId) + "/" + entryId, urlParams, headers);
    };
    InspectionTimeAccountingApi.prototype.deleteEntries = function (inspectionId, entries, urlParams, headers) {
        var args = entries.join(',');
        return this.construct.del(this.path(inspectionId) + "/" + args, urlParams, headers);
    };
    InspectionTimeAccountingApi.prototype.addEntry = function (inspectionId, body, urlParams, headers) {
        return this.construct.post(this.path(inspectionId), body, urlParams, headers);
    };
    InspectionTimeAccountingApi = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [construct_1.ConstructApi])
    ], InspectionTimeAccountingApi);
    return InspectionTimeAccountingApi;
}());
exports.InspectionTimeAccountingApi = InspectionTimeAccountingApi;
//# sourceMappingURL=time-accounting.js.map