import {Injectable} from '@angular/core';
import {Http, Headers, Response} from '@angular/http';

import {ConstructApi} from '../construct';

@Injectable()
export class InspectorsApi {
  private _basePath = '/v4/inspectors';

  constructor(private construct: ConstructApi) { }

  getAll(urlParams?, headers?) {
    return this.construct.get(this._basePath, urlParams, headers);
  }

  get(inspectorId, urlParams?, headers?) {
    return this.construct.get(`${this._basePath}/${inspectorId}`, urlParams, headers);
  }
}
