import {Injectable} from '@angular/core';
import {Http, Headers, Response} from '@angular/http';

import {ConstructApi} from '../construct';

@Injectable()
export class SettingsActivitiesApi {
  private _basePath = '/v4/settings/activities';

  constructor(private construct: ConstructApi) { }

  getPriorities(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}/priorities`, urlParams, headers);
  }

  getStatuses(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}/statuses`, urlParams, headers);
  }

  getTypes(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}/types`, urlParams, headers);
  }
}
