import {Injectable} from '@angular/core';
import {Http, Headers, Response} from '@angular/http';

import {ConstructApi} from '../construct';

@Injectable()
export class SettingsAgenciesApi {
  private _basePath = '/v4/settings/departments';

  constructor(private construct: ConstructApi) { }

  getDepartments(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}`, urlParams, headers);
  }

  getDepartmentStaff(departmentId, urlParams?, headers?) {
    return this.construct.get(`${this._basePath}/${departmentId}/staffs`, urlParams, headers);
  }
}
