import {Injectable} from '@angular/core';
import {Http, Headers, Response} from '@angular/http';

import {ConstructApi} from '../construct';

@Injectable()
export class SettingsModulesApi {
  private _basePath = '/v4/settings/modules';

  constructor(private construct: ConstructApi) { }

  getModules(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}`, urlParams, headers);
  }
}
