import { Observable } from 'rxjs/Observable';
import { ConstructApi } from '../construct';
export declare class InspectionChecklistItemsApi {
    private construct;
    private _basePath;
    constructor(construct: ConstructApi);
    private buildPath(...args);
    private checklistItemPath(inspectionId, checklistId, checklistItemId);
    get(inspectionId: number, checklistId: number, urlParams?: any, headers?: any): any;
    getStatuses(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    getHistories(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    update(checklistId: number, urlParams?: any, headers?: any): any;
    getCustomForms(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    getCustomForm(inspectionId: number, checklistId: number, checklistItemId: number, formId: string, urlParams?: any, headers?: any): any;
    updateCustomForm(inspectionId: number, checklistId: number, checklistItemId: number, body: any, urlParams?: any, headers?: any): Observable<any>;
    getCustomTables(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    getCustomTablesMetaData(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    getCustomTable(inspectionId: number, checklistId: number, checklistItemId: number, tableId: string, urlParams?: any, headers?: any): any;
    getCustomTableMetaData(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    updateCustomTable(inspectionId: number, checklistId: number, checklistItemId: number, body: any, urlParams?: any, headers?: any): Observable<any>;
    getDocuments(inspectionId: number, checklistId: number, checklistItemId: number, urlParams?: any, headers?: any): any;
    addDocument(inspectionId: number, checklistId: number, checklistItemId: number, body: any, urlParams?: any, headers?: any): Observable<any>;
}
