import { Observable } from 'rxjs/Observable';
import { ConstructApi } from '../construct';
export declare class InspectionApi {
    private construct;
    private _basePath;
    constructor(construct: ConstructApi);
    search(opts: any, urlParams?: any, headers?: any): any;
    getAll(urlParams?: any, headers?: any): any;
    assignInspections(ids: Array<number>, inspectorId: any, params?: any, headers?: any): Observable<any>;
    assignInspection(id: number, inspectorId: any, params?: any, headers?: any): Observable<any>;
    cancelInspection(id: number, params?: any, headers?: any): Observable<any>;
    cancelInspections(ids: Array<number>, params?: any, headers?: any): Observable<any>;
    createRelatedInspection(id: number, payload: any, params?: any, headers?: any): Observable<any>;
    deleteInspection(id: number, params?: any, headers?: any): Observable<any>;
    deleteInspections(ids: Array<number>, params?: any, headers?: any): Observable<any>;
    deleteRelatedInspection(id: number, relatedIds: Array<number>, params?: any, headers?: any): Observable<any>;
    getAvailableDates(params?: any, headers?: any): any;
    getHistoriesForInspection(id: number, params?: any, headers?: any): any;
    getHistoriesForInspections(ids: Array<number>, params?: any, headers?: any): any;
    getInspection(id: number, params?: any, headers?: any): any;
    getInspections(ids: Array<number>, params?: any, headers?: any): any;
    getRelatedInspections(id: number, params?: any, headers?: any): any;
    reschedule(id: number, payload: any, params?: any, headers?: any): Observable<any>;
    result(id: number, payload: any, params?: any, headers?: any): Observable<any>;
    schedule(payload: any, params?: any, headers?: any): Observable<any>;
    schedulePendingInspection(id: number, params?: any, headers?: any): Observable<any>;
    update(id: any, payload: any, params?: any, headers?: any): Observable<any>;
    getComments(id: any, urlParams?: any, headers?: any): any;
}
