import { Observable } from 'rxjs/Observable';
import { ConstructApi } from '../construct';
export declare class RecordApi {
    private construct;
    private _basePath;
    constructor(construct: ConstructApi);
    private buildPath(...args);
    search(body: any): Observable<any>;
    searchLocations(recordIds: Array<string>): Observable<any>;
    getAll(urlParams?: any, headers?: any): any;
    getRecord(id: string, urlParams?: any, headers?: any): any;
    getRecords(ids: Array<string>, urlParams?: any, headers?: any): any;
    getRecordConditions(id: string, urlParams?: any, headers?: any): any;
    getRecordParts(id: string, urlParams?: any, headers?: any): any;
    getRecordCosts(id: string, urlParams?: any, headers?: any): any;
}
