"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var construct_1 = require('../construct');
var SearchApi = (function () {
    function SearchApi(construct) {
        this.construct = construct;
        this._basePath = '/v4/search';
    }
    // /v4/search/global?lang={lang}&query={query}&type={type}&modules={modules}&offset={offset}&limit={limit}&sort={sort}&direction={direction}
    SearchApi.prototype.globalSearch = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/global", urlParams, headers);
    };
    SearchApi.prototype.searchAgencies = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/agencies", body, urlParams, headers);
    };
    SearchApi.prototype.searchAddresses = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/addresses", body, urlParams, headers);
    };
    SearchApi.prototype.searchContacts = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/contacts", body, urlParams, headers);
    };
    SearchApi.prototype.searchCosts = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/costs", body, urlParams, headers);
    };
    SearchApi.prototype.searchInspections = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/inspections", body, urlParams, headers);
    };
    SearchApi.prototype.searchOwners = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/owners", body, urlParams, headers);
    };
    SearchApi.prototype.searchParcels = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/parcels", body, urlParams, headers);
    };
    SearchApi.prototype.searchParts = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/parts", body, urlParams, headers);
    };
    SearchApi.prototype.searchProfessionals = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/professionals", body, urlParams, headers);
    };
    SearchApi.prototype.searchRecords = function (body, urlParams, headers) {
        return this.construct.post(this._basePath + "/records", body, urlParams, headers);
    };
    SearchApi = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [construct_1.ConstructApi])
    ], SearchApi);
    return SearchApi;
}());
exports.SearchApi = SearchApi;
//# sourceMappingURL=search.js.map