"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var construct_1 = require('../construct');
var SettingsActivitiesApi = (function () {
    function SettingsActivitiesApi(construct) {
        this.construct = construct;
        this._basePath = '/v4/settings/activities';
    }
    SettingsActivitiesApi.prototype.getPriorities = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/priorities", urlParams, headers);
    };
    SettingsActivitiesApi.prototype.getStatuses = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/statuses", urlParams, headers);
    };
    SettingsActivitiesApi.prototype.getTypes = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/types", urlParams, headers);
    };
    SettingsActivitiesApi = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [construct_1.ConstructApi])
    ], SettingsActivitiesApi);
    return SettingsActivitiesApi;
}());
exports.SettingsActivitiesApi = SettingsActivitiesApi;
//# sourceMappingURL=activities.js.map