import {Injectable} from '@angular/core';
import {Http, Headers, Response} from '@angular/http';

import {ConstructApi} from '../construct';

@Injectable()
export class SettingsCommentsApi {
  private _basePath = '/v4/settings/comments';

  constructor(private construct: ConstructApi) { }

  getStandardComments(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}`, urlParams, headers);
  }

  getStandardCommentGroups(urlParams?, headers?) {
    return this.construct.get(`${this._basePath}/groups`, urlParams, headers);
  }
}
