"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var construct_1 = require('../construct');
var SettingsInspectionsApi = (function () {
    function SettingsInspectionsApi(construct) {
        this.construct = construct;
        this._basePath = '/v4/settings/inspections';
    }
    SettingsInspectionsApi.prototype.getCustomFormSettings = function () { };
    SettingsInspectionsApi.prototype.getCustomTableSettings = function () { };
    SettingsInspectionsApi.prototype.getInspectionChecklistGroups = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/checklistsGroups", urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionChecklists = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/checklists", urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionGrades = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/grades", urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionStatuses = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/statuses", urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionTypes = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/types", urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionChecklistStatuses = function (urlParams, headers) {
        return this.construct.get(this._basePath + "/checklist/statuses", urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionChecklistsById = function (checklistIds, urlParams, headers) {
        var args = checklistIds.join(',');
        return this.construct.get(this._basePath + "/checklists/" + args, urlParams, headers);
    };
    SettingsInspectionsApi.prototype.getInspectionTypesById = function (typeIds, urlParams, headers) {
        var args = typeIds.join(',');
        return this.construct.get(this._basePath + "/types/" + args, urlParams, headers);
    };
    SettingsInspectionsApi = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [construct_1.ConstructApi])
    ], SettingsInspectionsApi);
    return SettingsInspectionsApi;
}());
exports.SettingsInspectionsApi = SettingsInspectionsApi;
//# sourceMappingURL=inspections.js.map